#ifndef __BIND_OBJECT_H__
#define __BIND_OBJECT_H__

#include <hpcxx_rts.h>
#include <hpcxx_rtsImpl.h>
#include "HPCxx_String.h"
#include "RMIRegistry.h"
#include "hpcxx_byte.h"
#include <iostream.h>

class BindObject {
private:
  HPCxx_String rmiURL;
  HPCxx_String FQN;
  nexus_startpoint_t remoteObjStartpoint;
  nexus_startpoint_t localStartpoint;  
public:
  BindObject(HPCxx_String , HPCxx_String,  nexus_startpoint_t, nexus_startpoint_t);
  BindObject();
  BindObject& operator=(BindObject &source);
~BindObject();
  friend void hpcxx_pack(HPCxx_Buffer &buf, BindObject *t,int count);
  friend void hpcxx_unpack(HPCxx_Buffer &buf, BindObject *t,int count);
  
};


#endif // __BIND_OBJECT_H__
