package rmitest;

import java.net.*;
import nexusrmi.*;
import nexusrmi.server.*;
import nexusrmi.registry.*;

public class InputPort extends UnicastRemoteObject implements InputPortInterface {

  private String hello = "InputPort::HelloWorld";
  private int SUCCESS = 7;
  public InputPort() throws RemoteException     {
    super();
  }

  public Object write(Object o) throws RemoteException {
    int i  = ((TestObj)o).getI();
    System.out.println("InputPort.java::read:TestObj.getI() -> " + i); 
    TestObj testObj = new TestObj(++i);
    return (Object)testObj;
  }
  
 public int setHello(String h) {
    this.hello = h;
    System.out.println("\n InputPort::setHello(): " + h);
    return SUCCESS;
  }

  public String sayHello() throws RemoteException {
    return "InputPort::Hello ";
  }

}
