package rmitest;

import nexusrmi.*;

public interface Server extends Remote
{
  public void putBool(boolean b) throws RemoteException;
  public boolean getBool() throws RemoteException;
    
  public void putByte(byte b) throws RemoteException;
  public byte getByte() throws RemoteException;

  public void putShort(short s) throws RemoteException;
  public short getShort() throws RemoteException;
  
  public void putInt(int i) throws RemoteException;
  public int getInt() throws RemoteException;
  
  public void putLong(long l) throws RemoteException;
  public long getLong() throws RemoteException;
  
  public void putChar(char c) throws RemoteException;
  public char getChar() throws RemoteException;
  
  public void putFloat(float f) throws RemoteException;
  public float getFloat() throws RemoteException;
  
  public void putDouble(double d) throws RemoteException;
  public double getDouble()throws RemoteException;
  
  public void putString(String s) throws RemoteException;
  public String getString() throws RemoteException;
  
  public void putClassObject(Class s) throws RemoteException;
  public Class getClassObject() throws RemoteException;

  public void putObject(Object to) throws RemoteException;
  public TestObj getObject() throws RemoteException;
    
  public void putBoolArray(boolean[] ba) throws RemoteException;
  public boolean[] getBoolArray() throws RemoteException;
    
  public void putByteArray(byte[] ba) throws RemoteException;
  public byte[] getByteArray() throws RemoteException;

  public void putShortArray(short[] sa) throws RemoteException;
  public short[] getShortArray() throws RemoteException;

  public void putIntArray(int[] ia) throws RemoteException;
  public int[] getIntArray() throws RemoteException;

  public void putLongArray(long[] la) throws RemoteException;
  public long[] getLongArray() throws RemoteException;

  public void putCharArray(char[] ca) throws RemoteException;
  public char[] getCharArray() throws RemoteException;

  public void putFloatArray(float[] fa) throws RemoteException;
  public float[] getFloatArray() throws RemoteException;

  public void putDoubleArray(double[] da) throws RemoteException;
  public double[] getDoubleArray()throws RemoteException;

  public void putStringArray(String[] sa) throws RemoteException;
  public String[] getStringArray() throws RemoteException;

  public void putObjectArray(TestObj[] toa) throws RemoteException;
  public TestObj[] getObjectArray() throws RemoteException;

  public InputPortInterface getInputPort() throws RemoteException;
  public InputPortInterface getCommonPort() throws RemoteException;
  public int  sendRemoteReference(InputPortInterface rem) throws RemoteException;	

}
